local addon, ns = ...

local f = ns.f
local db = ns.db
local profile = ns.profile
local L = ns.L

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

local loaded
function f:LoadAboutTab(tabID)
    if loaded then return end
    local tabInfo = f.tabs[tabID]
    local scrollContent = f.tabs[tabID].scrollContent

    local header = scrollContent:CreateFontString(nil, "OVERLAY", f:GetStyle(db.settings.style).fonts.header .. "Large")
    header:SetPoint("TOPLEFT", 10, -10)
    header:SetText(tabInfo.title)

    f:RenderElements(scrollContent, header, {
        {
            type = "FontBlock",
            attributes = {
                text = "FarmingBar is a fan rewrite of the retail addon FarmIt. My goal for this addon is to provide familiar functionality with added benefits.",
            },
        },
        {
            type = "FontBlock",
            attributes = {
                header = true,
                text = "What's new?",
            },
        },
        {
            type = "FontBlock",
            attributes = {
                text = "User-friendly interface: all slash commands can be executed via the new configuration panel.",
            },
        },
        {
            type = "FontBlock",
            attributes = {
                header = true,
                text = "What's changed?",
            },
        },
        {
            type = "FontBlock",
            attributes = {
                text = "Slash command |*group*| has been changed to |*bar*|.",
            },
        },
        {
            type = "FontBlock",
            attributes = {
                text = "Slash commands |*show*| and |*lock*| no longer toggle their respective properties. New commands have been added for |*hide*| and |*unlock*|.",
            },
        },
        {
            type = "FontBlock",
            attributes = {
                text = "Slash commands |*reset*| and |*rebuild*| have been reworked. See the commands documentation for more information on their uses.",
            },
        },
        {
            type = "FontBlock",
            attributes = {
                text = "Adjusting the |*size*| of bars no longer permanently destroys button, but rather adjusts the number of visible buttons.",
            },
        },
        {
            type = "FontBlock",
            attributes = {
                text = "Template names are no longer limited to single words. Spaces and special characters are allowed, up to 30 characters.",
            },
        },
    }, true)

    loaded = true
end